###############################################################################
# Copyright (c) 2000-2025 Ericsson Telecom AB
# All rights reserved. This program and the accompanying materials
# are made available under the terms of the Eclipse Public License v2.0
# which accompanies this distribution, and is available at
# https://www.eclipse.org/org/documents/epl-2.0/EPL-2.0.html
#
# Contributors:
#   Bence Janos Szabo
#
###############################################################################
[MODULE_PARAMETERS]
m_charstring := "r";
m_unicharstring := "r";
m_charstring_template := "r";
m_unicharstring_template := "r";

m_charstring_bad := "";
m_charstring_bad2 := "aa";
m_charstring_templ_bad := "";
m_charstring_templ_bad2 := "aa";
m_unicharstring_bad := "";
m_unicharstring_bad2 := char(1,2,5,7) & char(1,3,7,9);
m_unicharstring_templ_bad := "";
m_unicharstring_templ_bad2 := char(1,2,5,7) & char(1,3,7,9);

[EXECUTE]
TemplatePatternRefTest.control
